MONGOC_SERVER_DESCRIPTION_NEW_COPY(3)

NAME
mongoc_server_description_new_copy - mongoc_server_description_new_copy()

SYNOPSIS

mongoc_server_description_t *
mongoc_server_description_new_copy (
   const mongoc_server_description_t *description);

PARAMETERS

•   description: A mongoc_server_description_t.

DESCRIPTION

This function copies the given server description and returns a new server description object. The caller is responsible for destroying the new copy.

RETURNS

A copy of the original server description.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc